﻿package com {
	
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	public class Enemy_3 extends Enemy {
		private var bombControl:Timer;
		
		public function Enemy_3(x:Number, y:Number) {
			
			bombControl = new Timer(200 + Math.random()*5000);
			bombControl.addEventListener(TimerEvent.TIMER,bombing);
			bombControl.start();
			super(x, y);
		}
		
		
		override protected function moving(e:Event)
		{
			this.x -= MovieClip(root).speed;
			if(this.x < -this.width/2)
			{
				this.gotoAndStop(1);
				removeBomb();
				remove();
			}
		}
		
		
		private function bombing(e:TimerEvent)
		{
			//animate();
			removeBomb();
			this.gotoAndPlay("bomb");
			
		}
		
		public function removeBomb()
		{
			bombControl.removeEventListener(TimerEvent.TIMER,bombing);
		}
	}
	
}
