﻿package com{
	import flash.display.MovieClip;
	import flash.events.Event;
	
	public class Bullet extends MovieClip {
		private var max_vely: Number;
		private var gravity: Number;
		private var velx, vely: Number;
		public static var delay = 350;
		
		public function Bullet(x:Number, y:Number) {
			// constructor code
			this.x = x;
			this.y = y;
			max_vely = 30;
			gravity = 0;
			velx = 20;
			vely = 0;
			addEventListener(Event.ENTER_FRAME, moving);
			
		}

		private function moving(e:Event) {
			vely += gravity;
			if(this.vely > max_vely) this.vely = max_vely;
			if(this.vely < -max_vely) this.vely = -max_vely;
			if(MovieClip(root).speed > 0) this.x += velx;
			this.y += vely;
			
			if(this.y < -this.height/2) this.y = 540 + this.height/2;
			if(this.y > 540 + this.height/2) this.y = -this.height/2;
			
			if(this.x > 960 + this.height/2)
			{
				remove();
			}
		}
		
		public function remove()
		{
			MovieClip(root).removeBullet(this);
			removeEventListener(Event.ENTER_FRAME, moving);
			this.parent.removeChild(this);
		}
		
	}
	
}
