﻿package com {
	
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	public class Enemy_2 extends Enemy {
		private var shootControl:Timer;
		
		public function Enemy_2(x:Number, y:Number) {
			
			shootControl = new Timer(200 + Math.random()*5000);
			shootControl.addEventListener(TimerEvent.TIMER,shooting);
			shootControl.start();
			super(x, y);
		}
		
		
		override protected function moving(e:Event)
		{
			this.x -= MovieClip(root).speed;
			if(Math.abs(this.x - MovieClip(root).getDoodleX()) < 300)
			{
				removeShoot();
			}
			if(this.x < -this.width/2)
			{
				this.gotoAndStop(1);
				removeShoot();
				remove();
			}
		}
		
		
		private function shooting(e:TimerEvent)
		{
			removeShoot();
			MovieClip(root).shoot(this);
			this.en.gotoAndStop(2);	
		}
		
		public function removeShoot()
		{
			shootControl.removeEventListener(TimerEvent.TIMER,shooting);
		}
	}
	
}
